import type { Plugin } from 'vite'

// https://github.com/antfu/unocss
import Unocss from 'unocss/vite'
import { presetIcons } from 'unocss'

export function configUnocssPlugin(): Plugin[] {
    return Unocss({
        presets: [
            presetIcons({
                prefix: 'icon-',
                extraProperties: {
                    display: 'inline-flex',
                },
            }),
        ],
    })
}
